.TH MSHRINKHDR 1 "Dec 2016" "Montage 5" "Montage"
.SH NAME
mShrinkHdr \- Make a FITS header from a template with different pixel scale

.SH SYNOPSIS

mShrinkHdr [\-d][\-s scale] template.hdr shrunken.hdr


.SH DESCRIPTION

There are two ways to generate "thumbnail" images.  One is to build a full-resolution mosaic
and shrink it down using mShrink to the scale desired.  This process can be costly if the
full resolution image is not desired (or not desired yet).  It is much faster to mosaic at
the scale of the thumbnail itself.  One reason for doing this could be to evaluate whether
th full-resolution mosaic is worth building at all.

mShrinkHdr is a simple utility that takes a FITS header template (such as might come out of
mMakeHdr or mHdr) and make a new one at a differenc pixel scale.  The default scale for this
new header is 200 pixels, though the user can override this with any value.


.SH OPTIONS
.TP
\-d

Turn on debugging.

.TP
\-s \fIscale\fP

Set the size in pixels of the larger axis.


.SH ARGUMENTS
.TP
template.hdr

Original FITS header template.

.TP
shrunken.hdr

"Thumbnail" FITS header template.


.SH RESULT

If successful, the result is a new FITS header template with a size and
pixel scale appropriate to making a thumbnail mosaic.


.SH MESSAGES
.TP
ERROR
Cannot open output template file
.TP
ERROR
Bad template: \fIfilename\fP
.TP
ERROR
Output wcsinit() failed.

.SH EXAMPLES
.TP
$ mShrinkHdr region.hdr thumbnail.hdr
[struct stat="OK"]

.SH BUGS
The drizzle algorithm has been implemented but has not been tested
in this release.
.PP
If a header template contains carriage returns (i.e., created/modified
on a Windows machine), the cfitsio library will be unable to read it
properly, resulting in the error: [struct stat="ERROR", status=207,
msg="illegal character in keyword"]
.PP
It is best for the background correction algorithms if the area
described in the header template completely encloses all of the input
images in their entirety. If parts of input images are "chopped off"
by the header template, the background correction will be affected. We
recommend you use an expanded header for the reprojection and
background modeling steps, returning to the originally desired header
size for the final coaddition. The default background matching assumes
that there are no non-linear background variations in the individual
images (and therefore in the overlap differences). If there is any
uncertainty in this regard, it is safer to turn on the "level only"
background matching (the "\-l" flag in mBgModel.

.SH COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California
.PP
If your research uses Montage, please include the following
acknowledgement: "This research made use of Montage. It is funded by
the National Science Foundation under Grant Number ACI-1440620, and
was previously funded by the National Aeronautics and Space
Administration's Earth Science Technology Office, Computation
Technologies Project, under Cooperative Agreement Number NCC5-626
between NASA and the California Institute of Technology."
.PP
The Montage distribution includes an adaptation of the MOPEX algorithm
developed at the Spitzer Science Center.
